#version 150

in vec4 osg_Vertex;
in vec4 osg_Color;
in vec4 osg_MultiTexCoord0;

uniform mat4 osg_ModelViewMatrix;
uniform mat4 osg_ProjectionMatrix;

out vec4 v_Color;
out vec2 v_texCoord;

void main()
{
	v_Color = osg_Color;
	gl_Position = osg_ProjectionMatrix * osg_ModelViewMatrix * osg_Vertex;
	v_texCoord = osg_MultiTexCoord0.xy;
}